<template>
  <div class="sub-app">
    <WujieVue width="100%" height="100%" :name="name" :url="url" :alive="true" sync />
  </div>
</template>
<script lang="ts" setup>
import hostMap from "@/utils/hostMap";
import wujieVue from "wujie-vue3";
const route = useRoute()
const url = hostMap("//localhost:90/") + route.params.path
const name = 'fast'
watch(() => "$route.params.path",
  () => {
    wujieVue.bus.$emit("vue3-router-change", `/${route.params.path}`);
  },
  {
    immediate: true
  }
)
</script>
<style scoped lang="scss">
.sub-app {
  height: 100%;
  width: 100%;
  .wujie_iframe {
    height: 100%;
  }
}
</style>
